Bug 241407 - logrotate.d/httpd postrotate must use initscripts
Summary: logrotate.d/httpd postrotate must use initscripts
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-25 20:13 UTC by Kevin Graham
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0747
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 15:06:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0747 normal SHIPPED_LIVE Moderate: httpd security, bug fix, and enhancement update 2007-11-15 15:06:14 UTC

Description Kevin Graham 2007-05-25 20:13:09 UTC
Description of problem:

The default /etc/logrotate.d/httpd incorrectly invokes kill directly, rather
than the more appropriate means of calling /sbin/service httpd restart. The
current behavior has a number of flaws -- it blindly assumes the location of the
PID file, even though the init script accommodates a configurable override of
"PIDFILE" via /etc/sysconfig/httpd. Additionally, there is no benefit from the
existing safeguards in the init script (namely configtest-before-signal).

Version-Release number of selected component (if applicable):

Verified against both httpd-2.0.52-32.ent and httpd-2.2.3-6.el5.

How reproducible:

Define PIDFILE in /etc/sysconfig/httpd to be something other than
"/var/run/httpd.pid" and observe logs not being rotated properly.

Expected results:

The httpd package should be internally consistent. Instead, default values are
duplicated in multiple locations and configuration files are not handled
uniformly between logrotate and init.

Comment 1 Joe Orton 2007-05-29 13:27:44 UTC
Thanks for the report.

I notice that the httpd init script itself does not correctly the $PIDFILE
override, since it should be passing -p $pidfile to the killproc function also,
but the fallback in that case is usually sufficient.

Comment 2 RHEL Product and Program Management 2007-05-29 13:44:15 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 errata-xmlrpc 2007-11-15 15:06:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0747.html



Note You need to log in before you can comment on or make changes to this bug.